import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.Arrays;
import java.util.ArrayList;
import java.util.Collections;
import java.util.StringTokenizer;


/**
 * ICPC - CTU Open Contest 2021
 * Sample Solution: Fort
 * 
 * @author Josef Cibulka
 */
public class Fort {
	StringTokenizer st = new StringTokenizer("");
	BufferedReader input = new BufferedReader(new InputStreamReader(System.in));
	boolean hasNextToken() {
		try {
			while (!st.hasMoreTokens()) {
				String line = input.readLine();
				if (line == null) return false;
				st = new StringTokenizer(line);
			}
		} catch (IOException ex) { throw new RuntimeException(ex); }
		return true;
	}
	String nextToken() {
		return (!hasNextToken()) ? null : st.nextToken();
	}
	long nextLong() {
		return Long.parseLong(nextToken());
	}
	public static void main(String[] args) {
		new Fort().run();
	}
	
  // Returns divisors of n in ascending order.
  ArrayList<Long> divisors(long n) {
    ArrayList<Long> divs = new ArrayList<Long>();
    divs.add(1L);
		for (long d = 2; d*d <= n; ++d) {
      if ((n%d) != 0)
        continue;
      int pow = 0;
      while ((n%d) == 0) {
        n = n/d;
        pow++;
      }
      
      int dsize = divs.size();
      long mul = d;
      for (int i = 0; i < pow; ++i) {
        for (int j = 0; j < dsize; ++j)
          divs.add(divs.get(j) * mul);
        mul = mul * d;
      }
    }
    if (n > 1) {
      int dsize = divs.size();
      for (int j = 0; j < dsize; ++j)
        divs.add(divs.get(j) * n);
    }
    Collections.sort(divs);
		return divs;
	}
  
  boolean solve(ArrayList<Long> divs, long n) {
    // Max. integer composable from divisors up to i.
    long max = 0;
    for (long i : divs) {
      if (max < i-1) // We won't be able to compose i-1.
        return false;
      // We can compose 1,...,i-1 from earlier. With i, we can compose i..max+i.
      max += i; 
    }
    return (max >= n);
  }
	
	void run() {
		long t = nextLong();
    for (int ii = 0; ii < t; ++ii) {
		  long n = nextLong();
      ArrayList<Long> divs = divisors(n);
      boolean result = solve(divs, n);
      System.out.println(result ? "Yes" : "No");
    }
	}
}
